<template>
  <div class="flex items-center gap-1 p-1 rounded-16 bg-bgltert dark:bg-bgdtert">
    <div
      v-for="option in options"
      :key="option.value"
      class="hover:text-txtlprim dark:hover:text-txtdprim grow rounded-12 h-8 px-3 text-sm font-medium flex items-center justify-center cursor-pointer"
      :class="
        value.value === option.value
          ? 'text-txtlprim dark:text-txtdprim bg-btnlsec dark:bg-btndsec'
          : 'text-txtlsec dark:text-txtdsec '
      "
      @click="handleOptionClick(option)"
      @mousedown.prevent
    >
      {{ translate ? $t(`ui-tab.${option.title}`) : option.title }}
    </div>
  </div>
</template>

<script>
export default {
  name: 'UiTab',

  props: {
    options: {
      type: Array,
      default: () => [],
    },

    value: {
      type: Object,
      default: () => ({}),
    },

    translate: {
      type: Boolean,
      default: false,
    },
  },

  methods: {
    handleOptionClick(option) {
      this.$emit('input', option);
    },
  },
};
</script>
